Bug 303451 - Kernel >= 2.6.22.5-76.fc7 fails to boot on chrp32
Kernel >= 2.6.22.5-76.fc7 fails to boot on chrp32
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 12:04 EDT by Patrick
Modified: 2013-01-09 23:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff between config-generic 2_6_21-1_3194_fc7 and 2_6_22_5=76_fc7 (22.38 KB, text/plain)
2007-10-02 03:09 EDT, Patrick
no flags Details
Diff between config-powerpc-generic 2_6_21-1_3194_fc7 and 2_6_22_5-76_fc7 (1.31 KB, text/plain)
2007-10-02 03:10 EDT, Patrick
no flags Details

  None (edit)
Description Patrick 2007-09-24 12:04:22 EDT
Description of problem:
Kernel 2.6.22.5-76.fc7 fails to boot on ppc32. The box is an IBM RS/6000 43P-150
PPC32 CHRP box.

Version-Release number of selected component (if applicable):
kernel-2.6.22.5-76.fc7

How reproducible:
yum update kernel
reboot with new kernel

Steps to Reproduce:
1. yum update kernel
2. reboot
3. Get "Unexpected Firmware Error"
  
Actual results:
Welcome
Welcome to yaboot version 1.3.13 (Red Hat 1.3.13-4.fc7)
Enter "help" to get some basic usage information
boot: 2.6.22.5-76.fc7
Please wait, loading kernel...
   Elf32 kernel loaded...
Loading ramdisk...

Unexpected Firmware Error:
DEFAULT CATCH!, code=fff00300 at   %SRR0: 00c18ccc   %SRR1: 00003030 
 ok
0 > 

Expected results:
Profit! Er, a properly booting kernel

Additional info:
The kernel that ships with F7 ppc32 works fine.
Comment 1 Patrick 2007-09-24 12:12:04 EDT
The version of the last known working kernel is 2.6.21-1.3194.fc7. Here is the
output from a serial console when it boots:

RS/6000 RS/6000 RS/6000 RS/6000 RS/6000 RS/6000 RS/6000 RS/6000 RS/6000 RS/6000


 /                                                                              
Config file read, 1024 bytes                                                    

Welcome
Welcome to yaboot version 1.3.13 (Red Hat 1.3.13-4.fc7)
Enter "help" to get some basic usage information
boot: 
  2.6.22.5-76.fc7            linux                    
boot: linux
Please wait, loading kernel...
   Elf32 kernel loaded...
Loading ramdisk...
ramdisk loaded at 01a00000, size: 4259 Kbytes
OF stdout device is: /pci@80000000/isa@b/serial@i3f8
command line: root=/dev/VolGroup00/LogVol00 ro console=ttyS0 rhgb quiet 
memory layout at init:
  alloc_bottom : 01e29000
  alloc_top    : 20000000
  alloc_top_hi : 20000000
  rmo_top      : 20000000
  ram_top      : 20000000
Looking for displays
instantiating rtas at 0x1ffe5000 ... done
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x0222a000 -> 0x0222acd0                                    
Device tree struct  0x0222b000 -> 0x0222f000                                    
Calling quiesce ...                                                             
returning from prom_init                                                        
Using CHRP machine description                                                  
Total memory = 512MB; using 1024kB for hash table (at cff00000)                 
Linux version 2.6.21-1.3194.fc7 (kojibuilder@ppc1.fedora.redhat.com) (gcc versi7
Found initrd at 0xc1a00000:0xc1e28c00                                           
chrp type = 5 [IBM or Longtrail]                                                
PCI buses 0..1 controlled by /pci@80000000 at 80000000                          
Zone PFN ranges:                                                                
  DMA             0 ->   131072                                                 
  Normal     131072 ->   131072                                                 
  HighMem    131072 ->   131072                                                 
early_node_map[1] active PFN ranges                                             
    0:        0 ->   131072                                                     
Built 1 zonelists.  Total pages: 130048                                         
Kernel command line: root=/dev/VolGroup00/LogVol00 ro console=ttyS0 rhgb quiet  
mpc52xx-bestcomm: could not locate DMA controller                               
DMA: MPC52xx BestComm init FAILED !!!                                           
Red Hat nash version 6.0.9 starting                                             
pata_sl82c105 0000:00:0b.1: irq 255 request failed: -38                         
  Reading all physical volumes.  This may take a while...                       
  Found volume group "VolGroup00" using metadata type lvm2                      
  2 logical volume(s) in volume group "VolGroup00" now active                   
                Welcome to Fedora                                               
[snip]
Comment 2 Chuck Ebbert 2007-09-24 18:29:27 EDT
Can you try a 2.6.23-rc7 kernel from rawhide? e.g. from:

http://koji.fedoraproject.org/koji/buildinfo?buildID=19430

This will let us know if this is fixed in 2.6.23
Comment 3 Patrick 2007-09-25 04:14:48 EDT
Hi Chuck. Just tried kernel-2.6.23-0.198.rc7.git5.fc8 and the same error occurs:

Welcome
Welcome to yaboot version 1.3.13 (Red Hat 1.3.13-4.fc7)
Enter "help" to get some basic usage information
boot: 
  linux23                    linux                    
boot: linux23
Please wait, loading kernel...
   Elf32 kernel loaded...
Loading ramdisk...

Unexpected Firmware Error:
DEFAULT CATCH!, code=fff00300 at   %SRR0: 00c18ccc   %SRR1: 00003030 
 ok
0 > 

In the FC6 era I tested several kernels for dwmw2 which showed a similar issue.
I don't recall exactly what caused it but dwmw2 solved the issue. Perhaps you
can talk to dwmw2 what he did to fix this? FWIW The F7 ppc32 shipping kernel
2.6.21-1.3194.fc7 boots fine. Maybe it can provide a clue in what way the newer
kernels differ from this working one.
Comment 4 David Woodhouse 2007-09-25 11:58:42 EDT
ISTR it being a config difference -- maybe CONFIG_ISA or CONFIG_ISAPNP? Can you
look at the differences between the last working kernel and the first
non-working one? Have you really had nothing working since 2.6.21-1.3194.fc7?

If you check out the Fedora kernel from CVS, you should be able to build
specific versions without having to re-download entire SRPMs. Would be very
interesting to pinpoint _exactly_ where this stopped working on CHRP32.
Comment 5 Patrick 2007-10-02 03:09:10 EDT
Created attachment 213151 [details]
Diff between config-generic 2_6_21-1_3194_fc7 and 2_6_22_5=76_fc7
Comment 6 Patrick 2007-10-02 03:10:15 EDT
Created attachment 213161 [details]
Diff between config-powerpc-generic 2_6_21-1_3194_fc7 and 2_6_22_5-76_fc7
Comment 7 Patrick 2007-10-02 03:19:28 EDT
Hi David, thanks for your comments. Browsing CVS afaict CONFIG_ISA and
CONFIG_ISAPNP are both set in config.generic. Isn't config.generic
auto-included? I got the following files from CVS:

config-generic-2_6_21-1_3194_fc7  \
                                      config-generic.diff
config-generic-2_6_22_5-76_fc7    /

config-powerpc-generic-2_6_21-1_3194_fc7 \
                                           config-powerpc-generic.diff
config-powerpc-generic-2_6_22_5-76_fc7   /

config-powerpc32-generic-2_6_21-1_3194_fc7
config-powerpc32-generic-2_6_22_5-76_fc7 (no diff, both are the same file)

I could not really find a clue. Some options removed in the 76 kernel compared
to the older working 3194 kernel that caught my eye:
-CONFIG_SERIAL_TEXT_DEBUG=y (necessary cause my 43P-150 is headless?)
-CONFIG_IDEDMA_PCI_AUTO=y
-CONFIG_IDEDMA_AUTO=y

Comment 8 Patrick 2007-10-16 23:15:56 EDT
Just tried 2.6.22.9-91.fc7 and that one does not boot either. Same error message
as previously described under comment #3.
Comment 9 Patrick 2007-10-22 07:52:07 EDT
kernel-2.6.23.1-28.fc8.ppc.rpm also does not boot. Same error message
as previously described under comment #3. I guess this means I will not be able
to install F8 on this box. Would really appreciate it if this got some TLC.
Comment 10 David Woodhouse 2007-10-22 08:55:52 EDT
We need to work out precisely which kernel stopped working. Does the current
kernel work if you use exactly the same configuration which was last known to
work? Or if you use the chrp32 defconfig?
Comment 11 David Woodhouse 2007-10-22 08:57:11 EDT
The other thing that would be useful is dumping the contents of the kernel's log
buffer. The address of __log_buf should be in System.map -- can you get
OpenFirmware to print the string at that address?
Comment 12 Christopher Brown 2008-01-13 19:43:26 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 13 David Woodhouse 2008-01-14 05:55:05 EST
I believe Patrick has made some progress, tracking it down to a change in a
small set of config options. There's also supposed to be a similar machine on
its way to me from the Westford office at some point.
Comment 14 Patrick 2008-02-01 09:17:11 EST
David, the scsi disk on my box blew up and I don't have another one lying
around. Will look for another disk but in the meantime I won't be able to help
tracking down this bug.
Comment 15 David Woodhouse 2008-04-18 20:05:58 EDT
I now have a 430P. With F9-RC it gets this far:
returning from prom_init
Using CHRP machine description
Total memory = 256MB; using 512kB for hash table (at cff80000)
Initializing cgroup subsys cpu
Linux version 2.6.25-0.218.rc8.git7.fc9.ppc (mockbuild@) (gcc version 4.3.0 2008
Found initrd at 0xc2203000:0xc2cc0524
console [udbg0] enabled
chrp type = 5 [IBM or Longtrail]
PCI buses 0..1 controlled by /pci@80000000 at 80000000
PCI host bridge /pci@80000000 (primary) ranges:
  IO 0x0000000080000000..0x00000000807fffff -> 0x0000000000000000
  IO 0x0000000081000000..0x00000000bf7fffff -> 0x0000000000800000
 \--> Skipped (too many) !
 MEM 0x00000000c0000000..0x00000000feffffff -> 0x0000000000000000
Zone PFN ranges:
  DMA             0 ->    65536
  Normal      65536 ->    65536
  HighMem     65536 ->    65536
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0:        0 ->    65536
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 65024
Kernel command line:
OpenPIC at f7ec0000
Insufficient addresses for distributed OpenPIC (1 < 2)
mpic: Setting up MPIC " MPIC    " version 1.0 at f7ec0000, max 4 CPUs
mpic: ISU size: 16, shift: 4, mask: f
mpic: Initializing for 16 sources
i8259 legacy interrupt controller initialized
PID hash table entries: 1024 (order: 10, 4096 bytes)
clocksource: timebase mult[f0a50f9] shift[22] registered
Comment 16 Dan Williams 2008-05-06 13:09:47 EDT
Latest F9 boot.iso boots and installs Fedora on a 43P-150 after I remove the
FireGL-based "IBM 256-bit Graphics Rasterizer", which no kernel apparently likes
(neither Fedora nor OpenSUSE).
Comment 17 Dan Williams 2008-05-06 15:14:41 EDT
so the installer boots fine; but upon reboot with 2.6.25-14.fc9, I get:

Unexpected Firmware Error:
DEFAULT CATCH!, code=fff00300 at   %SRR0: 00c18ccc  %SRR: 00003030
 ok
0 > .registers
Client's Fix Pt Regs:
 00 00c4c510 00fbfa00 00fbf800 00fbfa00 00000d00 f0000000 00f68380 00000000
 08 00eff784 00c1a078 00000003 00000002 00435400 00000000 00213428 00213478
 10 0021344c 00226a18 00213400 00c28a80 00000000 0000000d 00002cd6 00000020
 18 00c00c00 00c18000 00c01000 00c017e0 00c04000 902001e4 00c007fc 00c00400
Special Regs:
    %IV: 00000300   %SRR0: 00c18ccc   %SRR1: 00003030
    %CR: 24022024     %LR: 00c1a0e8    %CTR: 00c4c510    %XER: 20000000
   %DAR: 00c017e0  %DSISR: 42000000   %SDR1: 00fe0000
 ok
0 >

yaboot 1.3.13-12.fc9
Comment 18 Dan Williams 2008-05-06 15:17:56 EDT
The error and dump in comment #17 is with the graphics card pulled, BTW,
installing over serial console.
Comment 19 Bug Zapper 2008-05-14 10:28:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2008-06-16 22:28:08 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.